Skip to main content

20) Extracting Headers for DS Encryption

Extracting headers to be used for encryption with DS headers

API

MethodURL
POST/api/encryption/header/extract

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
srcFilePathrequiredstringPath to the security document for header extraction

Response

NameTypeDescription
codeint0 : Success
Value other than 0: Error
docuKeystringDocuKey created with a user key used for plaintext document encryption
encHeaderInfostringDS Header Information of Security Document (base64Encode)

Examples

Request

  • Body
{
"licenseKey": "EFB4-19136-DB9E-201B9",
"srcFilePath": "/opt/shieldrm/data/test.xlsx"
}

Response

  • success
{
"code": 0,
"docuKey" : "UdEOPB2vjsrd0rB9d93blQ==",
"encHeaderInfo" : "eyJlbmNyeXB0ZWQiOnRydWUsImZpbGUiOnsicGF0aCI6IkQ6XF....(생략)....."
}

Response

  • failure
[일반 문서인 경우]
{
"code": -36,
"message": "Source file is not an encrypted file"
}

[SKMS 실패]
{
"code": 40004,
"message": "Failed extract header",
"detail": "1"
}

[SCSL 실패]
{
"code": -61,
"message": "EXCEPTION error"
}